import { Contexts, InferStores, Middleware, MiddlewareCreator } from './types';
/**
 * @hidden Internal method which resolves all given contexts to corresponding stores
 */
export declare const resolveStores: <TContexts extends Contexts>(contexts?: TContexts) => InferStores<TContexts>;
/**
* @hidden Internal method which resolves all given middlewares, provides injected stores
*/
export declare const resolveMiddleware: <TMiddlewareContexts extends Contexts>(middlewareList?: (Middleware<[], any, import("./types").MiddlewareAction<[], any>> | MiddlewareCreator<TMiddlewareContexts>)[] | undefined) => Middleware<[], any, import("./types").MiddlewareAction<[], any>>[];
